%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           readstat
Version:        1.1.9
Release:        %mkrel 1
Summary:        Read (and write) data sets from SAS, Stata, and SPSS
License:        MIT
Group:          System/Libraries
URL:            https://github.com/WizardMac/ReadStat
Source0:        https://github.com/WizardMac/ReadStat/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/WizardMac/ReadStat/dev/LICENSE
Source2:        https://raw.githubusercontent.com/WizardMac/ReadStat/dev/README.md
Patch1:         0001-Fix-use-after-free.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  make

BuildRequires:  gettext-devel
BuildRequires:  libtool

%description
Originally developed for Wizard, ReadStat is a command-line tool and
MIT-licensed C library for reading files from popular stats packages.

%package -n %{libname}
Summary:        Read (and write) data sets from SAS, Stata, and SPSS
Group:          System/Libraries

%description -n %{libname}
Originally developed for Wizard, ReadStat is a command-line tool and
MIT-licensed C library for reading files from popular stats packages.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains development files for %{name}.

%prep
%autosetup -p1

cp %{S:1} %{S:2} .

%build
%configure
%make_build

%install
%make_install

%files
%doc NEWS README.md
%{_bindir}/*
%{_mandir}/man1/*.1*

%files -n %{libname}
%license LICENSE
%{_libdir}/libreadstat.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/readstat.h
%{_libdir}/libreadstat.so


%changelog
* Sun Jul 14 2024 daviddavid <daviddavid> 1.1.9-1.mga10
+ Revision: 2080973
- initial package readstat (needed for labplot)

